kind: Deployment
apiVersion: apps/v1
metadata:
  name: clinical-data-service-rest
spec:
  selector:
    matchLabels:
      app: clinical-data-service-rest
  replicas: 1
  template:
    metadata:
      labels:
        app: clinical-data-service-rest
    spec:
      containers:
      - name: clinical-data-service-rest
        image: registry.gitlab.com/greece-vs-corona/deployment/clinical-data-service:latest
        ports:
        - containerPort: 8000
        env:
        - name: FLASK_SECRET_KEY
          valueFrom:
            secretKeyRef:
              key: FLASK_SECRET_KEY
              name: clinical-data-service-rest
        - name: POSTGRES_USER
          value: clinical_data_service_user
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              name: clinical-data-service-db
              key: CLINICAL_DATA_SERVICE_PASS
        - name: POSTGRES_DB
          value: clinical_data_service
        - name: POSTGRES_SERVER
          value: clinical-data-service-db
        - name: GROUPS
          value: '["clinical-data-service"]'
        - name: GITLAB_USERINFO_URL
          value: https://gitlab.repository.greecevscorona.gr/api/v4/user/
        - name: GITLAB_GROUPS_URL
          value: https://gitlab.repository.greecevscorona.gr/api/v4/groups/
        volumeMounts:
        - mountPath: /etc/oidc_client_secrets
          name: oidc-client-secrets
      initContainers:
      - env:
        - name: GITLAB_URL
          value: gitlab.repository.greecevscorona.gr
        - name: GITLAB_REDIRECT_URI
          value: https://rest.clinical-data-service.greecevscorona.gr/oidc_callback
        - name: GITLAB_CLIENT_ID
          valueFrom:
            secretKeyRef:
              key: GITLAB_CLIENT_ID
              name: clinical-data-service-rest
        - name: GITLAB_CLIENT_SECRET
          valueFrom:
            secretKeyRef:
              key: GITLAB_CLIENT_SECRET
              name: clinical-data-service-rest
        - name: SECRETS_DIR
          value: /etc/oidc_client_secrets/
        image: registry.gitlab.com/greece-vs-corona/deployment/generate-oidc-client-secrets:latest
        name: generate-oidc-client-secrets
        volumeMounts:
        - mountPath: /etc/oidc_client_secrets
          name: oidc-client-secrets
      volumes:
        - emptyDir: {}
          name: oidc-client-secrets
